Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 381401 - sys-apps/util-linux-2.20: Agetty now clears screen by default.
Summary: sys-apps/util-linux-2.20: Agetty now clears screen by default.
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
: 524318 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-09-01 08:20 UTC by Piotr Karbowski
Modified: 2014-10-16 19:10 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for the last comment. (a.patch,1.53 KB, patch)
2011-12-03 01:11 UTC, Teika kazura
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2011-09-01 08:20:50 UTC
In the version 2.20 mingetty features have been merged to agetty, now, by default, screen is cleaned before prompting for the login name. 

As the cleaning process remove most of openrc's output (shift+pageup show only part of boot runlevel in my case, nothing more). Any debug what failed while booting is much harder and I thing this is enough reason to change /etc/inittab (which is sysvinit file) and add '--noclear' switch to agetty in order to restore non-cleaning behavior.

Reproducible: Always
Comment 1 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2011-09-03 21:48:17 UTC
CC'in base-system as in metadata.xml.
Comment 2 Tobias Klausmann (RETIRED) gentoo-dev 2011-09-04 13:15:56 UTC
Tested just now with sys-apps/util-linux-2.20. Adding --noclear in inittab keeps the terminal history stay intact.
Comment 3 SpanKY gentoo-dev 2011-09-07 03:47:34 UTC
sounds like work.  if you dont like the new behavior, then you can use --noclear.  or convince upstream to make --noclear the default.
Comment 4 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2011-09-07 08:55:43 UTC
Vapier, terribly bad that you do not see improvements here. You blindly follow upstream even when, like in this case, the clear-by-default behavior destroy last lines of backlog, making them unreadable so you have to use --noclear or enable logging in rc.conf if you want see what failing on start. I'm disappointed.
Comment 5 Neil Bothwick 2011-10-19 17:21:32 UTC
The change in default behaviour is annoying, mainly because there is no indication of why the screen is now clearing. Sticking with upstream default is fine by me, but an explanation/warning in the elog would be nice.
Comment 6 SpanKY gentoo-dev 2011-10-20 00:36:49 UTC
that is a perfectly reasonable request.  should be all set now in the tree; thanks for the tip!

Commit message: Inform users of new default clear behavior
http://sources.gentoo.org/sys-apps/util-linux/util-linux-2.20-r1.ebuild?r1=1.1&r2=1.2
http://sources.gentoo.org/sys-apps/util-linux/util-linux-9999.ebuild?r1=1.24&r2=1.25
Comment 7 Neil Bothwick 2011-10-21 08:08:40 UTC
That's better, but it is not clear where the option should be inserted. How about this?

The agetty util now defaults to clearing the terminal before showing the login prompt. To restore the old behaviour, edit /etc/inittab to add the --noclear option by changing

c1:12345:respawn:/sbin/agetty 38400 tty1 linux

to

c1:12345:respawn:/sbin/agetty --noclear 38400 tty1 linux
Comment 8 Teika kazura 2011-12-03 01:11:08 UTC
Created attachment 294553 [details, diff]
Patch for the last comment.

Here's the patch to implement Comment #7, patching 2.20-r1 and 2.20.1. I understand the column width should be < 80, and I've actually tried $ ebuild <ebuild> postinst. Thanks all.
Comment 9 SpanKY gentoo-dev 2014-10-16 19:10:33 UTC
*** Bug 524318 has been marked as a duplicate of this bug. ***